Functions (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.helpers

## Class Functions

- java.lang.Object
- - org.neo4j.helpers.Functions

-     public final class Functions
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Function<Object,String>` | `TO_STRING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <FROM,TO> Function<FROM,TO>` | `cast(Class<TO> to)`
    `static <From,From2,To> Function2<Function<From,From2>,Function<From2,To>,Function<From,To>>` | `compose()`
    `static <T1,T2> Function2<Function2<T1,T2,T1>,Function2<T1,T2,T1>,Function2<T1,T2,T1>>` | `compose2()`
    `static <From,To> Function<From,To>` | `constant(To value)`
    `static <From,To> Function<From,To>` | `map(Map<From,To> map)`
    `static <From,To> Function<From,To>` | `nullFunction()`
    `static <From,To> Function<From,To>` | `withDefaults(Function<From,To> defaults, Function<From,To> f)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TO_STRING

          public static Function<Object,String> TO_STRING

  - ### Method Detail

    - #### map

          public static <From,To> Function<From,To> map(Map<From,To> map)

    - #### withDefaults

          public static <From,To> Function<From,To> withDefaults(Function<From,To> defaults,
                                                 Function<From,To> f)

    - #### nullFunction

          public static <From,To> Function<From,To> nullFunction()

    - #### constant

          public static <From,To> Function<From,To> constant(To value)

    - #### compose

          public static <From,From2,To> Function2<Function<From,From2>,Function<From2,To>,Function<From,To>> compose()

    - #### compose2

          public static <T1,T2> Function2<Function2<T1,T2,T1>,Function2<T1,T2,T1>,Function2<T1,T2,T1>> compose2()

    - #### cast

          public static <FROM,TO> Function<FROM,TO> cast(Class<TO> to)

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.